Summary:	Downloader for YLE Areena, YleX Areena, and Elävä arkisto
Name:		yle-dl
Version:	20240706
Release:	%mkrel 1
License:	GPLv2
Group:		Video/Utilities
URL:		https://aajanki.github.io/yle-dl/
Source0:	https://pypi.io/packages/source/y/yle-dl/yle_dl-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
Requires:	ffmpeg >= 4.1

%description
yle-dl (previously known as RTMPDump-YLE) is a command-line program for
downloading media files from the video streaming services of the
Finnish national broadcasting company YLE: YLE Areena, YleX Areena,
and Elävä arkisto.

yle-dl can also handle live radio and TV broadcasts.

You can download files from these services for private use only.
Redistributing programs from these services without permission is
forbidden.

%prep
%autosetup -p1 -n yle_dl-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files yledl

%files -f %{pyproject_files}
%doc README.md
%{_bindir}/yle-dl


%changelog
* Mon Jul 08 2024 daviddavid <daviddavid> 20240706-1.mga10
+ Revision: 2080357
- new version: 20240706

* Mon May 06 2024 daviddavid <daviddavid> 20240429-1.mga10
+ Revision: 2062648
- new version: 20240429
+ wally <wally>
- drop unneeded reqs patch

* Tue Feb 20 2024 daviddavid <daviddavid> 20240130-1.mga10
+ Revision: 2042616
- new version: 20240130

* Mon Dec 18 2023 daviddavid <daviddavid> 20231214-1.mga10
+ Revision: 2018851
- new version: 20231214

* Sat Dec 09 2023 wally <wally> 20231120-2.mga10
+ Revision: 2016167
- rebuild for py3.12
- use %%pyproject_buildrequires

* Sun Dec 03 2023 daviddavid <daviddavid> 20231120-1.mga10
+ Revision: 2012838
- new version: 20231120

* Fri Sep 01 2023 daviddavid <daviddavid> 20230611-1.mga10
+ Revision: 1983286
- new version: 20230611

* Thu Jan 05 2023 daviddavid <daviddavid> 20221231-1.mga9
+ Revision: 1930459
- new version: 20221231

* Tue Dec 06 2022 daviddavid <daviddavid> 20221111-1.mga9
+ Revision: 1918439
- new version: 20221111

* Wed Aug 17 2022 wally <wally> 20220704-1.mga9
+ Revision: 1878361
- new version 20220704
- switch build to pyproject RPM macros

* Wed Mar 23 2022 umeabot <umeabot> 20200222-4.mga9
+ Revision: 1822635
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 20200222-3.mga9
+ Revision: 1774817
- rebuild for python 3.10

* Sun Mar 21 2021 neoclust <neoclust> 20200222-2.mga9
+ Revision: 1706814
- Rebuild against python 3.9

* Sun Mar 29 2020 wally <wally> 20200222-1.mga8
+ Revision: 1562253
- new version 20200222

* Tue Feb 18 2020 umeabot <umeabot> 20191022-3.mga8
+ Revision: 1541127
- Mageia 8 Mass Rebuild

* Fri Dec 20 2019 wally <wally> 20191022-2.mga8
+ Revision: 1469182
- add upstream patch to allow latest attrs

* Fri Dec 20 2019 wally <wally> 20191022-1.mga8
+ Revision: 1469177
- new version 20191022

* Fri Oct 11 2019 daviddavid <daviddavid> 20190614-1.mga8
+ Revision: 1451521
- new version: 20190614

* Wed Sep 25 2019 daviddavid <daviddavid> 20190331-2.mga8
+ Revision: 1445750
- rebuild for python3.8

* Sun Apr 07 2019 wally <wally> 20190331-1.mga7
+ Revision: 1386674
- new version 20190331

* Sun Feb 17 2019 wally <wally> 20190203-1.mga7
+ Revision: 1368021
- new version 20190203
- switch to python3
- require ffmpeg
- drop php and rtmpdump requires

* Fri Sep 21 2018 umeabot <umeabot> 2.34-2.mga7
+ Revision: 1292206
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 wally <wally> 2.34-1.mga7
+ Revision: 1247901
- new version 2.34
- drop requires for php-mcrypt

* Sun Feb 11 2018 wally <wally> 2.31-1.mga7
+ Revision: 1200388
- new version 2.31

* Sun Dec 17 2017 wally <wally> 2.29-1.mga7
+ Revision: 1183084
- new version 2.29

* Sat Jan 28 2017 wally <wally> 2.14-1.mga6
+ Revision: 1083758
- new version 2.14
- fetch latest AdobeHDS.php

* Sat Jan 16 2016 wally <wally> 2.10.0-1.mga6
+ Revision: 924374
- new version 2.10.0
- get latest AdobeHDS.php

* Sat Oct 31 2015 wally <wally> 2.9.0-1.mga6
+ Revision: 896875
- new version 2.9.0
- updated AdobeHDS.php

* Mon Oct 05 2015 wally <wally> 2.8.1-2.mga6
+ Revision: 886484
- require php-mcrypt

* Mon Oct 05 2015 wally <wally> 2.8.1-1.mga6
+ Revision: 886479
- new version 2.8.1
- retrieve latest AdobeHDS.php

* Sun Jun 21 2015 wally <wally> 2.7.2-1.mga6
+ Revision: 837762
- new version 2.7.2
- use AdobeHDS.php to download videos

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-3.mga5
+ Revision: 747337
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 690836
- Mageia 5 Mass Rebuild

* Sun Apr 06 2014 anssi <anssi> 2.2.1-1.mga5
+ Revision: 612418
- new version 2.2.1

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 520863
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 387572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 malo <malo> 2.0.2-1.mga3
+ Revision: 321423
- spec clean-up
- update to 2.0.2

* Sat Jul 28 2012 anssi <anssi> 2.0.1-1.mga3
+ Revision: 275453
- new version (works again with updated YLE Areena)
- rename from rtmpdump-yle to yle-dl (upstream rename)
- now uses system rtmpdump (>= 2.4) instead of bundled modified copy
- package is now noarch
- update license tag
- add compatibility symlink "rtmpdump-yle" for now

* Sat Apr 07 2012 anssi <anssi> 1.4.6-1.mga2
+ Revision: 229436
- new version 1.4.6
- update description and summary as per current upstream information
- drop now unneeded charset conversions and file removals, adopted
  upstream
- drop now unneeded patch for system json, fixed upstream
- imported package rtmpdump-yle

